## grilo-plugins 0.3.14

=== debian/changelog ===
grilo-plugins (0.3.14-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:56:24 +0100

grilo-plugins (0.3.14-1ubuntu1) jammy; urgency=medium

  * Sync with Debian. Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 15 Nov 2021 21:56:50 +0100

grilo-plugins (0.3.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update Standards-Version to 4.6.0.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Oct 2021 11:05:21 +0200

=== debian/control ===
Source: grilo-plugins
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper-compat (= 12),
               meson,
               yelp-tools,
               gperf,
               libarchive-dev,
               libglib2.0-dev (>= 2.44),
               libgom-1.0-dev (>= 0.4),
               libgrilo-0.3-dev (>= 0.3.8),
               libgstreamer1.0-dev,
               libxml2-dev,
               libavahi-gobject-dev,
               libsqlite3-dev,
               libgoa-1.0-dev (>= 3.17.91),
               libgdata-dev (>= 0.9.1),
               liblua5.3-dev,
               libmediaart-2.0-dev,
               liboauth-dev,
               libtotem-plparser-dev (>= 3.4.1),
               libtracker-sparql-3.0-dev,
               libsoup2.4-dev,
               libjson-glib-dev,
               libdmapsharing-3.0-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Projects/Grilo
Vcs-Browser: https://salsa.debian.org/berto/grilo-plugins
Vcs-Git: https://salsa.debian.org/berto/grilo-plugins.git

Package: grilo-plugins-0.3-base
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: grilo-plugins-0.2
Replaces: grilo-plugins-0.2
Suggests: grilo-plugins-0.3-extra
Description: Framework for discovering and browsing media - Plugins
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains these plugins officially distributed with Grilo:
   * Bookmarks
   * Filesystem
   * Gravatar
   * Local metadata (album art and thumbnails)
   * Metadata Store
   * OpenSubtitles
   * Optical Media
   * Rai.tv
   * SHOUTcast
   * TheTVDB
   * Tracker
   * Lua Factory, with these Lua scripts:
     - Acoustid
     - Apple Movie Trailers
     - Euronews
     - The Guardian Videos
     - iTunes Podcast
     - Last.fm Cover
     - Musicbrainz Cover Art
     - Radio France
     - Steam Store
     - TheAudioDB cover
     - TheGamesDB.net
     - Video title parsing


Package: grilo-plugins-0.3-extra
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         grilo-plugins-0.3-base
Recommends: dleyna-server
Description: Framework for discovering and browsing media - Extra Plugins
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains these plugins officially distributed with Grilo:
   * Chromaprint
   * DAAP / DPAP
   * dLeyna
   * Flickr
   * Freebox
   * Magnatune
   * Podcasts
   * TMDb
   * Youtube

Package: grilo-plugins-0.3
Architecture: all
Priority: extra
Section: oldlibs
Multi-Arch: foreign
Depends: grilo-plugins-0.3-base,
         grilo-plugins-0.3-extra,
         ${misc:Depends}
Description: transitional package
 This is a transitional package to ease upgrades to
 grilo-plugins-0.3-base and grilo-plugins-0.3-extra. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) \
	-DGLIB_DISABLE_DEPRECATION_WARNINGS \
	-Wno-deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-tracker=no \
		-Denable-tracker3=yes

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

## grilo-plugins 0.3.15

=== debian/changelog ===
grilo-plugins (0.3.15-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2007623). Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Amin Bandali <bandali@canonical.com>  Thu, 16 Feb 2023 19:20:02 -0500

grilo-plugins (0.3.15-2) unstable; urgency=medium

  * debian/control:
    - Stop recommending dleyna-server (Closes: #1030125).
    - Update Standards-Version to 4.6.2 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 31 Jan 2023 16:45:49 +0100

grilo-plugins (0.3.15-1ubuntu1) lunar; urgency=medium

  * Merge with Debian (LP: #1997979). Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 25 Nov 2022 11:31:46 -0300

grilo-plugins (0.3.15-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/control:
    - Update debhelper-compat from 12 to 13 (Closes: #1003134).
    - Update Standards-Version to 4.6.1.0 (no changes).
  * debian/grilo-plugins-0.3.lintian-overrides:
    - Update format of hardening-no-fortify-functions.
  * debian/copyright:
    - Update copyright years.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libgdata-dev, libglib2.0-dev,
      libgoa-1.0-dev and libtotem-plparser-dev.

 -- Alberto Garcia <berto@igalia.com>  Thu, 25 Aug 2022 00:12:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,29 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                meson,
                yelp-tools,
                gperf,
                libarchive-dev,
-               libglib2.0-dev (>= 2.44),
+               libglib2.0-dev,
                libgom-1.0-dev (>= 0.4),
                libgrilo-0.3-dev (>= 0.3.8),
                libgstreamer1.0-dev,
                libxml2-dev,
                libavahi-gobject-dev,
                libsqlite3-dev,
-               libgoa-1.0-dev (>= 3.17.91),
-               libgdata-dev (>= 0.9.1),
+               libgoa-1.0-dev,
+               libgdata-dev,
                liblua5.3-dev,
                libmediaart-2.0-dev,
                liboauth-dev,
-               libtotem-plparser-dev (>= 3.4.1),
+               libtotem-plparser-dev,
                libtracker-sparql-3.0-dev,
                libsoup2.4-dev,
                libjson-glib-dev,
                libdmapsharing-3.0-dev
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Grilo
 Vcs-Browser: https://salsa.debian.org/berto/grilo-plugins
@@ -80,7 +80,6 @@
      - TheGamesDB.net
      - Video title parsing
 
-
 Package: grilo-plugins-0.3-extra
 Architecture: any
 Multi-Arch: same
@@ -88,7 +87,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          grilo-plugins-0.3-base
-Recommends: dleyna-server
 Description: Framework for discovering and browsing media - Extra Plugins
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.

## grilo-plugins 0.3.16

=== meson_options.txt ===
option('enable-bookmarks', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Bookmarks plugin')
option('enable-chromaprint', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Chromaprint plugin')
option('enable-dleyna', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable dLeyna plugin')
option('dleyna-service-name', type: 'string', value : 'com.intel.dleyna-server', description: 'D-Bus name for dLeyna server')
option('enable-dmap', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable DMAP plugin')
option('enable-filesystem', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Filesystem plugin')
option('enable-flickr', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Flickr plugin')
option('enable-freebox', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Freebox plugin')
option('enable-gravatar', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Gravatar plugin')
option('enable-local-metadata', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Local Metadata plugin')
option('enable-lua-factory', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'yes', description: 'Enable Lua Factory plugin')
option('enable-magnatune', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Magnatune plugin')
option('enable-metadata-store', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Metadata Store plugin')
option('enable-opensubtitles', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Opensubtitles plugin')
option('enable-optical-media', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Optical Media plugin')
option('enable-podcasts', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Podcasts plugin')
option('enable-raitv', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Rai.tvplugin')
option('enable-shoutcast', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Shoutcast plugin')
option('enable-thetvdb', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Thetvdb plugin')
option('enable-tmdb', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable TMDb plugin')
option('enable-tracker', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Tracker plugin (DEPRECATED)')
option('enable-tracker3', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Tracker3 plugin')
option('enable-youtube', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable YouTube plugin')
option('goa', type: 'feature', value: 'auto', description: 'Enable gnome-online-accounts usage')
option('help', type: 'combo', choices: [ 'yes', 'no' ], value: 'yes', description: 'Build examples developers')

=== debian/changelog ===
grilo-plugins (0.3.16-5ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:09 +0200

grilo-plugins (0.3.16-5ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Split package into -base and -extra (Closes: #805609)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 15:07:31 -0400

grilo-plugins (0.3.16-5) unstable; urgency=medium

  [ Alessandro Astone ]
  * Suggests dleyna-server, now that it's maintained again

  [ Alberto Garcia ]
  * Rebuild to complete the transition from libtracker-sparql-3.0-0 to
    libtinysparql-3.0-0 (Closes: #1100425).
  * debian/rules:
    - Don't override dh_missing, --fail-missing is the default option with
      debhelper compat 13.
    - Include buildflags.mk instead of calling dpkg-buildflags.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Fri, 14 Mar 2025 10:11:14 +0100

grilo-plugins (0.3.16-4ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Split package into -base and -extra (Closes: #805609)
  * Re-enable dLeyna plugin (LP: #2093324)
  * Recommend dleyna-server (LP: #2093324)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 09 Jan 2025 17:06:03 +0100

grilo-plugins (0.3.16-4) unstable; urgency=medium

  * debian/control: Switch to liblua5.4-dev (Closes: #1087571).

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Nov 2024 15:37:11 +0100

grilo-plugins (0.3.16-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2088201). Remaining changes:
    - Split package into -base and -extra (Closes: #805609)
    - d/control: Upgrade lua build dependency to 5.4
    - Disable the dleyna plugin, the service has been removed from Ubuntu

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 14 Nov 2024 17:12:20 +0100

grilo-plugins (0.3.16-3) unstable; urgency=medium

  * Remove non-working plugins: appletrailers, euronews and raitv.

 -- Alberto Garcia <berto@igalia.com>  Fri, 25 Oct 2024 11:25:50 +0200

grilo-plugins (0.3.16-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Drop unused Build-Depends: libgdata-dev (Closes: #1082014)

  [ Alberto Garcia ]
  * debian/control:
    - Remove OpenSubtitles and YouTube from the package description.
    - Update Standards-Version to 4.7.0 (no changes).
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Wed, 18 Sep 2024 14:58:31 +0200

grilo-plugins (0.3.16-1.1ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:54:21 +0000

grilo-plugins (0.3.16-1.1ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:47:49 +0000

grilo-plugins (0.3.16-1.1ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:50:42 +0000

grilo-plugins (0.3.16-1.1ubuntu3) mantic; urgency=medium

  * Disable the dleyna plugin, the service has been removed from Ubuntu,
  * Remove non working appletv, euronews and raitv plugins, the internet
    services changed now and they are just crashing

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Oct 2023 15:17:59 +0200

grilo-plugins (0.3.16-1.1ubuntu2) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 21 Jul 2023 14:30:39 -0700

grilo-plugins (0.3.16-1.1ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining change:
    - Split package into -base and -extra (Closes: #805609)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Jun 2023 06:26:41 -0400

grilo-plugins (0.3.16-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build with libsoup3
    - The YouTube & OpenSubtitles plugins are not compatible with libsoup3
  * Build-Depend on itstool instead of yelp-tools

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 12:01:46 -0400

grilo-plugins (0.3.16-1ubuntu2) mantic; urgency=medium

  * Re-enable dmap plugins

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Jun 2023 06:53:23 -0400

grilo-plugins (0.3.16-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2007623). Remaining change:
    - Split package into -base and -extra (Closes: #805609)
  * Build with libsoup3
    - The YouTube & OpenSubtitles plugins are not compatible with libsoup3
  * Temporarily disable dmap plugins (until we update libdmapsharing to 3.9)
  * Build against the grilo version that uses libsoup3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 15:51:31 -0400

grilo-plugins (0.3.16-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Mon, 10 Apr 2023 11:47:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,26 @@
 XSBC-Original-Maintainer: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 13),
                meson,
-               yelp-tools,
+               itstool,
                gperf,
                libarchive-dev,
                libglib2.0-dev,
                libgom-1.0-dev (>= 0.4),
-               libgrilo-0.3-dev (>= 0.3.8),
+               libgrilo-0.3-dev (>= 0.3.15-1.1~),
                libgstreamer1.0-dev,
                libxml2-dev,
                libavahi-gobject-dev,
                libsqlite3-dev,
                libgoa-1.0-dev,
-               libgdata-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libmediaart-2.0-dev,
                liboauth-dev,
                libtotem-plparser-dev,
                libtracker-sparql-3.0-dev,
-               libsoup2.4-dev,
+               libsoup-3.0-dev,
                libjson-glib-dev,
-               libdmapsharing-3.0-dev
-Standards-Version: 4.6.2
+               libdmapsharing-4.0-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/Projects/Grilo
 Vcs-Browser: https://salsa.debian.org/berto/grilo-plugins
@@ -39,7 +38,7 @@
          ${misc:Depends}
 Breaks: grilo-plugins-0.2
 Replaces: grilo-plugins-0.2
-Suggests: grilo-plugins-0.3-extra
+Suggests: dleyna-server, grilo-plugins-0.3-extra
 Description: Framework for discovering and browsing media - Plugins
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -60,16 +59,12 @@
    * Gravatar
    * Local metadata (album art and thumbnails)
    * Metadata Store
-   * OpenSubtitles
    * Optical Media
-   * Rai.tv
    * SHOUTcast
    * TheTVDB
    * Tracker
    * Lua Factory, with these Lua scripts:
      - Acoustid
-     - Apple Movie Trailers
-     - Euronews
      - The Guardian Videos
      - iTunes Podcast
      - Last.fm Cover
@@ -87,6 +82,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          grilo-plugins-0.3-base
+Recommends: dleyna-server
 Description: Framework for discovering and browsing media - Extra Plugins
  Grilo is a framework focused on making media discovery and browsing
  easy for application developers.
@@ -110,7 +106,6 @@
    * Magnatune
    * Podcasts
    * TMDb
-   * Youtube
 
 Package: grilo-plugins-0.3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

CPPFLAGS += -DGLIB_DISABLE_DEPRECATION_WARNINGS \
	-Wno-deprecated-declarations

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-raitv=no \
		-Denable-tracker=no \
		-Denable-tracker3=yes

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:

## grilo-plugins 0.3.18

=== meson_options.txt ===
--- 
+++ 
@@ -11,10 +11,8 @@
 option('enable-lua-factory', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'yes', description: 'Enable Lua Factory plugin')
 option('enable-magnatune', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Magnatune plugin')
 option('enable-metadata-store', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Metadata Store plugin')
-option('enable-opensubtitles', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Opensubtitles plugin')
 option('enable-optical-media', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Optical Media plugin')
 option('enable-podcasts', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Podcasts plugin')
-option('enable-raitv', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Rai.tvplugin')
 option('enable-shoutcast', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Shoutcast plugin')
 option('enable-thetvdb', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable Thetvdb plugin')
 option('enable-tmdb', type: 'combo', choices: [ 'auto', 'yes', 'no' ], value: 'auto', description: 'Enable TMDb plugin')

=== debian/changelog ===
grilo-plugins (0.3.18-1) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Sun, 10 Aug 2025 14:37:12 +0200

grilo-plugins (0.3.18-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop disable-broken-plugins.patch.
  * debian/copyright:
    - Update copyright information.
  * debian/control:
    - Add build dependency on librest-dev (for the lua-factory plugin).
    - Add build dependency on tracker-extract (for the tracker3 plugin).
    - Mention IPTV and OpenSubtitles (Lua) in the package description.
    - Update Standards-Version to 4.7.2 (no changes).
  * debian/rules:
    - Stop overriding dh_auto_configure, we use the default options now.

 -- Alberto Garcia <berto@igalia.com>  Mon, 21 Jul 2025 15:54:06 +0200

=== debian/control ===
Source: grilo-plugins
Section: libs
Priority: optional
Maintainer: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper-compat (= 13),
               meson,
               itstool,
               gperf,
               tracker-extract,
               libarchive-dev,
               libglib2.0-dev,
               libgom-1.0-dev (>= 0.4),
               libgrilo-0.3-dev (>= 0.3.15-1.1~),
               libgstreamer1.0-dev,
               libxml2-dev,
               libavahi-gobject-dev,
               libsqlite3-dev,
               libgoa-1.0-dev,
               liblua5.4-dev,
               libmediaart-2.0-dev,
               liboauth-dev,
               librest-dev,
               libtotem-plparser-dev,
               libtracker-sparql-3.0-dev,
               libsoup-3.0-dev,
               libjson-glib-dev,
               libdmapsharing-4.0-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/Projects/Grilo
Vcs-Browser: https://salsa.debian.org/berto/grilo-plugins
Vcs-Git: https://salsa.debian.org/berto/grilo-plugins.git

Package: grilo-plugins-0.3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: grilo-plugins-0.2
Replaces: grilo-plugins-0.2
Suggests: dleyna-server
Description: Framework for discovering and browsing media - Plugins
 Grilo is a framework focused on making media discovery and browsing
 easy for application developers.
 .
 More precisely, Grilo provides:
   * A single, high-level API that abstracts the differences among
     various media content providers, allowing application developers
     to integrate content from various services and sources easily.
   * A collection of plugins for accessing content from various media
     providers. Developers can share efforts and code by writing
     plugins for the framework that are application agnostic.
   * A flexible API that allows plugin developers to write plugins of
     various kinds.
 .
 This package contains the set of plugins officially distributed with
 Grilo:
   * Bookmarks
   * Chromaprint
   * dLeyna
   * DAAP / DPAP
   * Filesystem
   * Flickr
   * Freebox
   * Gravatar
   * Local metadata (album art and thumbnails)
   * Magnatune
   * Metadata Store
   * Optical Media
   * Podcasts
   * SHOUTcast
   * TheTVDB
   * TMDb
   * Tracker
   * Lua Factory, with these Lua scripts:
     - Acoustid
     - The Guardian Videos
     - IPTV
     - iTunes Podcast
     - Last.fm Cover
     - Musicbrainz Cover Art
     - Opensubtitles
     - Radio France
     - Steam Store
     - TheAudioDB cover
     - TheGamesDB.net
     - Video title parsing

=== debian/watch ===
version=4
https://download.gnome.org/sources/grilo-plugins/(\d\.\d)/grilo-plugins-(.*)\.tar\.xz
